EonTag_ButtonsTable = {}
AddButton = function(name,text,_function,parent,tooltip)
	Button = CreateFrame("Button",name,parent,"UIPanelButtonTemplate")
	Button:SetPoint("BOTTOMLEFT",parent,"TOPLEFT")
	Button:SetPoint("BOTTOMRIGHT",parent,"TOPRIGHT")
	Button:SetHeight(22)
	Button:SetText(text)
	Button:SetScript("OnClick",_function)
	tinsert(EonTag_ButtonsTable,Button)
	if tooltip then
	Button.TooltipText = tooltip
	else
		Button.TooltipText = name
	end
	return Button
end
local notYet = function()
	SetToasterText("Not yet implemented")
end

local lastbutton = AddButton("EonTag_CloseButton","Close",function() EonTag_mainWindow:Hide() end,EonTag_mainWindow,"Close the window")
lastbutton:SetPoint("BOTTOMLEFT",14,14)
lastbutton:SetPoint("BOTTOMRIGHT",-14,14)

lastbutton = AddButton("EonTag_EndGame_button","End Game",function() EonTag_EndGame() end,lastbutton, "End the currently hosted game\n(You have to be the current host)")
lastbutton = AddButton("EonTag_StartGame_button","Start Round",function() EonTag_StartGame() end,lastbutton,"Start a new Round of tag\n(You have to be the current host)")
lastbutton = AddButton("EonTag_HostGame_button","Host Game",function() EonTag_HostGame() end,lastbutton,"Host a Game of tag\n(No one else has to be hosting)")
lastbutton = AddButton("EonTag_LeaveGame_button","im out",function() SendToAll(addon_prefix,"im out") end,lastbutton,"Leave the Game currently in progress")
--lastbutton = AddButton("EonTag_DummyPlayerGame_button","Add Dummy Player",function() PlayerJoin("WWWWWWWWWWWW") end,lastbutton)
--lastbutton = AddButton("EonTag_PurgeGame_button","Purge",function() EonTag_Purge() end,lastbutton)

CreateFrame("EditBox", "EonTag_TimeSetTextBox", lastbutton, "InputBoxTemplate")
EonTag_TimeSetTextBox:SetPoint("BOTTOMLEFT",lastbutton,"TOPLEFT",7,0)
EonTag_TimeSetTextBox:SetSize(50,22)
EonTag_TimeSetTextBox:SetNumeric(true)
EonTag_TimeSetTextBox:SetAutoFocus(false)

lastbutton = AddButton("EonTag_SetTime","Set Time",EonTag_SetRoundTimer,lastbutton,"Set the round timer\nshiftClick to update a round in progress (WIP)")
lastbutton:SetPoint("BOTTOMLEFT",EonTag_TimeSetTextBox,"BOTTOMRIGHT")
lastbutton = AddButton("EonTag_ShowStats", "Toggle stats",EonTag_ToggleStatWindow ,lastbutton,"Toggle the stats window (WIP)")
lastbutton:SetPoint("BOTTOMLEFT",EonTag_TimeSetTextBox,"TOPLEFT",-7,0)




